ITK Code of Conduct Motivation
==============================

ITK is one of the largest and long-lived open-source projects within the
scientific community. ITK is made by hundreds of community members around the
globe with a diverse set of skills, personalities, and experiences working for
open and reproducible research in image analysis.

We work to build a great image analysis tool that serves a broad range of
applications and environments, from research and education, to industry and
beyond, by trying to contribute with amazing features, and teaching and
helping our fellows for such a honorable intention. We seek no explicit
recognition for this. Hence a sense of additional responsibility is part of why
we do what we do.

We want a successful, friendly, agile and growing community that can welcome
new ideas in a complex field, continuously improve our community software
process, and foster collaboration between groups with very different needs,
interests and skills. Openness, collaboration and participation are core
aspects of our work - from development of new amazing image analysis features,
to collaboratively shaping the necessary tools to make it an ever easier and
joyful experience for both developers and end-users. Such an environment
enriches the surrounding community and other open communities as well.

We put people first and do our best to recognize, appreciate and respect the
diversity of our global contributors. The ITK project welcomes contributions
from everyone who shares our goals and strives to contribute in a healthy and
constructive manner within our community. This implies diversity of ideas and
perspectives on often complex problems. We gain strength from diversity and
actively seek participation from those who enhance it.

As such, we have adopted this Code of Conduct and require all those who
participate to agree and adhere to these guidelines in order to help us create
a safe and positive community experience for all. These guidelines exist to
enable diverse individuals and groups to interact and collaborate to mutual
advantage. We will challenge prejudice that could jeopardize the participation
of any person in the project.

The Code of Conduct aims at maintaining that healthy environment by capturing
the inclusive aspirations of our open and diverse community in any action or
event related to ITK. It governs how we behave in public or in private whenever
the project will be judged by our actions. We expect it to be honored by
everyone who participates in the ITK community formally or informally, or
claims any affiliation with the project, in any project-related activities and
especially when representing the project, in any role. This document outlines
both expected and prohibited behavior, and includes steps to reporting
unacceptable behavior.

By embracing the following principles, guidelines and actions, you will help us
make ITK a welcoming and productive community.

This Code is not exhaustive or complete. It serves to distill our common
understanding of a collaborative, shared environment and goals. Please try to
follow this code in spirit as much as in letter, to create a friendly and
productive environment that enriches the surrounding community.

(scope)=
Scope
-----

These guidelines outline our behavior expectations as members of the ITK
community in all spaces managed by the ITK project, both offline and online,
and to public spaces when an individual is representing the project or its
community. This Code applies equally to founders, developers, new community
members, and ITK-associated events, such as hackathons or workshops.

Your participation is contingent upon following these guidelines in all ITK
activities, including but not limited to:

  * Working in ITK spaces, offline and online.
  * Working with other ITK community members and other ITK community
  participants virtually or co-located.
  * Representing ITK at public events and forums.
  * Representing ITK in social media and blogs (official accounts, professional
  accounts, or personal accounts).
  * Participating in ITK training events or hackathons.
  * Participating in ITK-related public and private mailing lists, discussion
  forums, chat channels, code hosting and management environments, websites,
  wikis, mailing lists, group or person-to-person meetings, and ITK-related
  correspondence.
  * Any other communication channel used by our community.

By participating in all spaces managed by the ITK project, you are agreeing to
the terms in this is Code of Conduct.

This Code of Conduct and its related procedures also apply to unacceptable
behavior occurring outside the scope of the community activities when such
behavior has the potential to adversely affect the safety and well-being of
community members. Violations of this Code in such spaces may affect a
person's ability to participate in the ITK community.

(diversity-statement)=
Diversity Statement
-------------------

Though no list can hope to be comprehensive, these guidelines aim to support a
community where all people should feel safe to participate, introduce new
ideas and inspire others, regardless of:

  * Background
  * Family status
  * Gender
  * Gender identity or expression
  * Marital status
  * Sex
  * Sexual orientation
  * Native language
  * Age
  * Ability
  * Race and/or ethnicity
  * National origin
  * Socioeconomic status
  * Educational attainments
  * Profession
  * Religion
  * Geographic location
  * Any other dimension of diversity

The ITK project welcomes and encourages participation by everyone. We are
committed to being a community that everyone enjoys being part of. Although we
may not always be able to accommodate each individual's preferences, we try our
best to treat everyone kindly.

No matter how you identify yourself or how others perceive you: we welcome you.

Though we welcome people fluent in all languages, ITK development is conducted
in English.
