**Python Packages**

Install [ITK Python packages](https://docs.itk.org/en/latest/learn/python_quick_start.html) with:

```bash
pip install --upgrade itk
```

**Guide and Textbook**

- [InsightSoftwareGuide-Book1-{{ cookiecutter.major_version }}.{{ cookiecutter.minor_version }}{{ cookiecutter.patch_identifier }}{{ cookiecutter.patch_version }}.pdf](https://github.com/InsightSoftwareConsortium/ITK/releases/download/v{{ cookiecutter.major_version }}.{{cookiecutter.minor_version }}{{ cookiecutter.patch_identifier }}{{ cookiecutter.patch_version }}/InsightSoftwareGuide-Book1-{{ cookiecutter.major_version }}.{{cookiecutter.minor_version }}{{ cookiecutter.patch_identifier }}{{ cookiecutter.patch_version }}.pdf)
- [InsightSoftwareGuide-Book2-{{ cookiecutter.major_version }}.{{ cookiecutter.minor_version }}{{ cookiecutter.patch_identifier }}{{ cookiecutter.patch_version }}.pdf](https://github.com/InsightSoftwareConsortium/ITK/releases/download/v{{ cookiecutter.major_version }}.{{cookiecutter.minor_version }}{{ cookiecutter.patch_identifier }}{{ cookiecutter.patch_version }}/InsightSoftwareGuide-Book2-{{ cookiecutter.major_version }}.{{cookiecutter.minor_version }}{{ cookiecutter.patch_identifier }}{{ cookiecutter.patch_version }}.pdf)

**Library Sources**

- [InsightToolkit-{{ cookiecutter.major_version }}.{{ cookiecutter.minor_version }}{{ cookiecutter.patch_identifier }}{{ cookiecutter.patch_version }}.tar.gz](https://github.com/InsightSoftwareConsortium/ITK/releases/download/v{{ cookiecutter.major_version }}.{{cookiecutter.minor_version }}{{ cookiecutter.patch_identifier }}{{ cookiecutter.patch_version }}/InsightToolkit-{{ cookiecutter.major_version }}.{{cookiecutter.minor_version }}{{ cookiecutter.patch_identifier }}{{ cookiecutter.patch_version }}.tar.gz)
- [InsightToolkit-{{ cookiecutter.major_version }}.{{cookiecutter.minor_version }}{{ cookiecutter.patch_identifier }}{{ cookiecutter.patch_version }}.zip](https://github.com/InsightSoftwareConsortium/ITK/releases/download/v{{ cookiecutter.major_version }}.{{cookiecutter.minor_version }}{{ cookiecutter.patch_identifier }}{{ cookiecutter.patch_version }}/InsightToolkit-{{ cookiecutter.major_version }}.{{cookiecutter.minor_version }}{{ cookiecutter.patch_identifier }}{{ cookiecutter.patch_version }}.zip)

**Testing Data**

Unpack optional testing data in the same directory where the Library Source is unpacked.

- [InsightData-{{ cookiecutter.major_version }}.{{cookiecutter.minor_version }}{{ cookiecutter.patch_identifier }}{{ cookiecutter.patch_version }}.tar.gz](https://github.com/InsightSoftwareConsortium/ITK/releases/download/v{{ cookiecutter.major_version }}.{{cookiecutter.minor_version }}{{ cookiecutter.patch_identifier }}{{ cookiecutter.patch_version }}/InsightData-{{ cookiecutter.major_version }}.{{cookiecutter.minor_version }}{{ cookiecutter.patch_identifier }}{{ cookiecutter.patch_version }}.tar.gz)
- [InsightData-{{ cookiecutter.major_version }}.{{cookiecutter.minor_version }}{{ cookiecutter.patch_identifier }}{{ cookiecutter.patch_version }}.zip](https://github.com/InsightSoftwareConsortium/ITK/releases/download/v{{ cookiecutter.major_version }}.{{cookiecutter.minor_version }}{{ cookiecutter.patch_identifier }}{{ cookiecutter.patch_version }}/InsightData-{{ cookiecutter.major_version }}.{{cookiecutter.minor_version }}{{ cookiecutter.patch_identifier }}{{ cookiecutter.patch_version }}.zip)

**Checksums and Signatures**

- [InsightToolkit-{{ cookiecutter.major_version }}.{{ cookiecutter.minor_version }}{{ cookiecutter.patch_identifier }}{{ cookiecutter.patch_version }}.tar.gz.asc](https://github.com/InsightSoftwareConsortium/ITK/releases/download/v{{ cookiecutter.major_version }}.{{cookiecutter.minor_version }}{{ cookiecutter.patch_identifier }}{{ cookiecutter.patch_version }}/InsightToolkit-{{ cookiecutter.major_version }}.{{cookiecutter.minor_version }}{{ cookiecutter.patch_identifier }}{{ cookiecutter.patch_version }}.tar.gz.asc)
- [InsightToolkit-{{ cookiecutter.major_version }}.{{cookiecutter.minor_version }}{{ cookiecutter.patch_identifier }}{{ cookiecutter.patch_version }}.zip.asc](https://github.com/InsightSoftwareConsortium/ITK/releases/download/v{{ cookiecutter.major_version }}.{{cookiecutter.minor_version }}{{ cookiecutter.patch_identifier }}{{ cookiecutter.patch_version }}/InsightToolkit-{{ cookiecutter.major_version }}.{{cookiecutter.minor_version }}{{ cookiecutter.patch_identifier }}{{ cookiecutter.patch_version }}.zip.asc)

- [InsightData-{{ cookiecutter.major_version }}.{{cookiecutter.minor_version }}{{ cookiecutter.patch_identifier }}{{ cookiecutter.patch_version }}.tar.gz.asc](https://github.com/InsightSoftwareConsortium/ITK/releases/download/v{{ cookiecutter.major_version }}.{{cookiecutter.minor_version }}{{ cookiecutter.patch_identifier }}{{ cookiecutter.patch_version }}/InsightData-{{ cookiecutter.major_version }}.{{cookiecutter.minor_version }}{{ cookiecutter.patch_identifier }}{{ cookiecutter.patch_version }}.tar.gz.asc)
- [InsightData-{{ cookiecutter.major_version }}.{{cookiecutter.minor_version }}{{ cookiecutter.patch_identifier }}{{ cookiecutter.patch_version }}.zip.asc](https://github.com/InsightSoftwareConsortium/ITK/releases/download/v{{ cookiecutter.major_version }}.{{cookiecutter.minor_version }}{{ cookiecutter.patch_identifier }}{{ cookiecutter.patch_version }}/InsightData-{{ cookiecutter.major_version }}.{{cookiecutter.minor_version }}{{ cookiecutter.patch_identifier }}{{ cookiecutter.patch_version }}.zip.asc)

- [MD5SUMS](https://github.com/InsightSoftwareConsortium/ITK/releases/download/v{{ cookiecutter.major_version }}.{{cookiecutter.minor_version }}{{ cookiecutter.patch_identifier }}{{ cookiecutter.patch_version }}/MD5SUMS)
- [SHA512SUMS](https://github.com/InsightSoftwareConsortium/ITK/releases/download/v{{ cookiecutter.major_version }}.{{cookiecutter.minor_version }}{{ cookiecutter.patch_identifier }}{{ cookiecutter.patch_version }}/SHA512SUMS)
